com.aliyun.player.bean

## Enum InfoCode

- java.lang.Object
- - java.lang.Enum<InfoCode>
  - - com.aliyun.player.bean.InfoCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InfoCode>

      public enum InfoCode
      extends java.lang.Enum<InfoCode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AudioCodecNotSupport` Audio decoding does not support the specified format.
    `AudioDecoderDeviceError` The audio decoder failed.
    `AutoPlayStart` Autoplay is started.
    `BufferedPosition` Buffer position.
    `CacheError` Failed to cache the content.
    `CacheSuccess` Content cached.
    `CurrentDownloadSpeed`
    `CurrentPosition` Playback position.
    `DemuxerSegmentOpenFailed`
    `DemuxerTraceID` Demuxer trace ID for artp.
    `DirectComponentMSG` The message passthrough the player component
    `LocalCacheLoaded`
    `LoopingStart` Loop playback is started.
    `LowMemory` The system does not have memory to cache the media data.
    `NetworkRetry` Network connection failed.
    `NetworkRetrySuccess` Network retry successful.
    `RTSServerMaybeDisconnect` RTS server maybe disconnect.
    `RTSServerRecover` RTS server recover.
    `SubtitleSelectError` Subtitle selection failed.
    `SwitchToSoftwareVideoDecoder` Hardware decoding is switched to software decoding.
    `Unknown` Unknown error.
    `UtcTime`
    `VideoCodecNotSupport` Video decoding does not support the specified format.
    `VideoDecoderDeviceError` The video decoder failed.
    `VideoRenderInitError` The video renderer failed to initialize.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static InfoCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InfoCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final InfoCode Unknown

      Unknown error.

    - #### LoopingStart

          public static final InfoCode LoopingStart

      Loop playback is started. No additional information is provided.

    - #### BufferedPosition

          public static final InfoCode BufferedPosition

      Buffer position. Additional value: the current buffer position. Unit: milliseconds.

    - #### CurrentPosition

          public static final InfoCode CurrentPosition

      Playback position. Additional value: the current playback position. Unit: milliseconds.

    - #### AutoPlayStart

          public static final InfoCode AutoPlayStart

      Autoplay is started. No additional information is provided.

    - #### CurrentDownloadSpeed

          public static final InfoCode CurrentDownloadSpeed

    - #### UtcTime

          public static final InfoCode UtcTime

    - #### LocalCacheLoaded

          public static final InfoCode LocalCacheLoaded

    - #### SwitchToSoftwareVideoDecoder

          public static final InfoCode SwitchToSoftwareVideoDecoder

      Hardware decoding is switched to software decoding. Additional information: description.

    - #### AudioCodecNotSupport

          public static final InfoCode AudioCodecNotSupport

      Audio decoding does not support the specified format. Additional information: description.

    - #### AudioDecoderDeviceError

          public static final InfoCode AudioDecoderDeviceError

      The audio decoder failed. Additional information: description.

    - #### VideoCodecNotSupport

          public static final InfoCode VideoCodecNotSupport

      Video decoding does not support the specified format. Additional information: description.

    - #### VideoDecoderDeviceError

          public static final InfoCode VideoDecoderDeviceError

      The video decoder failed. Additional information: description.

    - #### VideoRenderInitError

          public static final InfoCode VideoRenderInitError

      The video renderer failed to initialize. Additional information: description.

    - #### DemuxerTraceID

          public static final InfoCode DemuxerTraceID

      Demuxer trace ID for artp.

    - #### NetworkRetry

          public static final InfoCode NetworkRetry

      Network connection failed. Try again. No additional information is provided.

    - #### CacheSuccess

          public static final InfoCode CacheSuccess

      Content cached. No additional information is provided.

    - #### CacheError

          public static final InfoCode CacheError

      Failed to cache the content. Additional information: description.

    - #### LowMemory

          public static final InfoCode LowMemory

      The system does not have memory to cache the media data.

    - #### NetworkRetrySuccess

          public static final InfoCode NetworkRetrySuccess

      Network retry successful. No additional information.

    - #### SubtitleSelectError

          public static final InfoCode SubtitleSelectError

      Subtitle selection failed. Additional information is the cause of failure.

    - #### DirectComponentMSG

          public static final InfoCode DirectComponentMSG

      The message passthrough the player component

    - #### DemuxerSegmentOpenFailed

          public static final InfoCode DemuxerSegmentOpenFailed

    - #### RTSServerMaybeDisconnect

          public static final InfoCode RTSServerMaybeDisconnect

      RTS server maybe disconnect.

    - #### RTSServerRecover

          public static final InfoCode RTSServerRecover

      RTS server recover.

  - ### Method Detail

    - #### values

          public static InfoCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InfoCode c : InfoCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InfoCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()